# H225_InfoRequest Class Reference

`#include <h225.h>`

Inheritance diagram for H225_InfoRequest:

List of all members.

## Public Types

enum | OptionalFields { e_nonStandardData, e_replyAddress, e_callIdentifier, e_tokens, e_cryptoTokens, e_integrityCheckValue, e_uuiesRequested, e_callLinkage, e_usageInfoRequested, e_segmentedResponseSupported, e_nextSegmentRequested, e_capacityInfoRequested, e_genericData, e_assignedGatekeeper }

## Public Member Functions

| H225_InfoRequest (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

H225_RequestSeqNum | m_requestSeqNum
H225_CallReferenceValue | m_callReferenceValue
H225_NonStandardParameter | m_nonStandardData
H225_TransportAddress | m_replyAddress
H225_CallIdentifier | m_callIdentifier
H225_ArrayOf_ClearToken | m_tokens
H225_ArrayOf_CryptoH323Token | m_cryptoTokens
H225_ICV | m_integrityCheckValue
H225_UUIEsRequested | m_uuiesRequested
H225_CallLinkage | m_callLinkage
H225_RasUsageInfoTypes | m_usageInfoRequested
PASN_Null | m_segmentedResponseSupported
PASN_Integer | m_nextSegmentRequested
PASN_Null | m_capacityInfoRequested
H225_ArrayOf_GenericData | m_genericData
H225_AlternateGK | m_assignedGatekeeper

## Member Enumeration Documentation

enum H225_InfoRequest::OptionalFields

Enumerator:

  e_nonStandardData |
  e_replyAddress |
  e_callIdentifier |
  e_tokens |
  e_cryptoTokens |
  e_integrityCheckValue |
  e_uuiesRequested |
  e_callLinkage |
  e_usageInfoRequested |
  e_segmentedResponseSupported |
  e_nextSegmentRequested |
  e_capacityInfoRequested |
  e_genericData |
  e_assignedGatekeeper |

## Constructor & Destructor Documentation

H225_InfoRequest::H225_InfoRequest | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H225_InfoRequest::GetDataLength | ( |  | ) | const

PBoolean H225_InfoRequest::Decode | ( | PASN_Stream & | strm | ) |

void H225_InfoRequest::Encode | ( | PASN_Stream & | strm | ) | const

void H225_InfoRequest::PrintOn | ( | ostream & | strm | ) | const

Comparison H225_InfoRequest::Compare | ( | const PObject & | obj | ) | const

PObject* H225_InfoRequest::Clone | ( |  | ) | const

## Member Data Documentation

H225_RequestSeqNum H225_InfoRequest::m_requestSeqNum

H225_CallReferenceValue H225_InfoRequest::m_callReferenceValue

H225_NonStandardParameter H225_InfoRequest::m_nonStandardData

H225_TransportAddress H225_InfoRequest::m_replyAddress

H225_CallIdentifier H225_InfoRequest::m_callIdentifier

H225_ArrayOf_ClearToken H225_InfoRequest::m_tokens

H225_ArrayOf_CryptoH323Token H225_InfoRequest::m_cryptoTokens

H225_ICV H225_InfoRequest::m_integrityCheckValue

H225_UUIEsRequested H225_InfoRequest::m_uuiesRequested

H225_CallLinkage H225_InfoRequest::m_callLinkage

H225_RasUsageInfoTypes H225_InfoRequest::m_usageInfoRequested

PASN_Null H225_InfoRequest::m_segmentedResponseSupported

PASN_Integer H225_InfoRequest::m_nextSegmentRequested

PASN_Null H225_InfoRequest::m_capacityInfoRequested

H225_ArrayOf_GenericData H225_InfoRequest::m_genericData

H225_AlternateGK H225_InfoRequest::m_assignedGatekeeper

The documentation for this class was generated from the following file:

- h225.h